// MyAgentDlg.h : header file
//
//{{AFX_INCLUDES()
#include "agentctlex.h"
//}}AFX_INCLUDES

#if !defined(AFX_MYAGENTDLG_H__534A622C_4397_4B54_9896_4912698D0C83__INCLUDED_)
#define AFX_MYAGENTDLG_H__534A622C_4397_4B54_9896_4912698D0C83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "agentctlcharacters.h"
#include "agentctlcharacterex.h"
#include "agentctlrequest.h"

/////////////////////////////////////////////////////////////////////////////
// CMyAgentDlg dialog

class CMyAgentDlg : public CDialog
{
// Construction
public:
	CMyAgentDlg(CWnd* pParent = NULL);	// standard constructor

protected:
	CAgentCtlCharacters m_Characters;
	CAgentCtlCharacterEx m_Ex;
	CAgentCtlRequest m_Request;

// Dialog Data
	//{{AFX_DATA(CMyAgentDlg)
	enum { IDD = IDD_MYAGENT_DIALOG };
	CAgentCtlEx	m_sysAgent;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyAgentDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMyAgentDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnBtnShow();
	afx_msg void OnBtnHide();
	afx_msg void OnBtnGreet();
	afx_msg void OnBtnAlert();
	afx_msg void OnBtnBlink();
	afx_msg void OnBtnRead();
	afx_msg void OnBtnWrite();
	afx_msg void OnBtnSpeak();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYAGENTDLG_H__534A622C_4397_4B54_9896_4912698D0C83__INCLUDED_)
